
@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;600&family=Roboto:wght@400;500&display=swap");

/* ================= Chat Button ================= */

.chat-button {
    position: fixed;
    bottom: 16px;
    right: 16px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: #0F6BF5;
    color: #FFFFFF;
    padding: 12px;
    border: 1px solid #0F6BF5;
    border-radius: 9999px;
    box-shadow: 0 14.4px 19.2px -4.8px rgba(16, 24, 40, 0.08), 0 4.8px 7.2px -2.4px rgba(16, 24, 40, 0.03);
    cursor: pointer;
    transition: transform 0.3s, box-shadow 0.3s;
    gap: 8px;
    z-index: 2147483646;
    font-family: "Roboto", "Open Sans", "Arial", sans-serif;
}

    .chat-button span {
        font-size: 16px;
        font-weight: 580;
        line-height: 1.375;
        letter-spacing: 0.03em;
    }

    /* Hover */
    .chat-button:hover {
        background-color: #095edc;
        transform: scale(1.1);
    }

    /* Hidden */
    .chat-button.hidden {
        display: none !important;
    }

    /* Loading state (circle button) */
    .chat-button.loading {
        width: 48px;
        height: 48px;
        padding: 0;
        justify-content: center;
        align-items: center;
    }

/* Icon */
.bc-icons {
    background-image: url("https://cdn.syncfusion.com/content/images/live-chat/bc-chat-icon.svg");
    width: 18px;
    height: 18px;
    background-size: cover;
    background-repeat: no-repeat;
}

/* ================= Spinner ================= */

.spinner {
    width: 20px;
    height: 20px;
    border: 3px solid #FFFFFF;
    border-top: 3px solid transparent;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

/* Animation */
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
